fakechroot (2.9-1.1+squeeze1) debian-dir only changes

Summary

 debian/changelog |  340 +++++++++++++++++++++++++++++++++++++++++++
 debian/control   |   21 ++
 debian/packages  |  263 +++++++++++++++++++++++++++++++++
 debian/rules     |  434 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 1058 insertions(+)

    
download this patch

Patch contents

--- fakechroot-2.9.orig/debian/rules
+++ fakechroot-2.9/debian/rules
@@ -0,0 +1,434 @@
+#!/usr/bin/make -f
+# Generated automatically from debian/packages
+# by yada v0.55, of Tue, 15 Dec 2009
+
+DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
+DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+DEB_HOST_ARCH_CPU    := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
+DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU 2>/dev/null)
+DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE 2>/dev/null)
+DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM 2>/dev/null)
+
+DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH 2>/dev/null)
+DEB_BUILD_ARCH_OS    := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
+DEB_BUILD_ARCH_CPU   := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)
+DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU 2>/dev/null)
+DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE 2>/dev/null)
+DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM 2>/dev/null)
+
+# Take account of old dpkg-architecture output.
+ifeq ($(DEB_HOST_ARCH_CPU),)
+  DEB_HOST_ARCH_CPU := $(DEB_HOST_GNU_CPU))
+  ifeq ($(DEB_HOST_ARCH_CPU),i486)
+    DEB_HOST_ARCH_OS := i386
+  else
+  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
+    DEB_HOST_ARCH_OS := amd64
+  endif
+  endif
+endif
+ifeq ($(DEB_HOST_ARCH_OS),)
+  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
+  ifeq ($(DEB_HOST_ARCH_OS),gnu)
+    DEB_HOST_ARCH_OS := hurd
+  endif
+endif
+ifeq ($(DEB_BUILD_ARCH_CPU),)
+  DEB_BUILD_ARCH_CPU := $(DEB_BUILD_GNU_CPU))
+  ifeq ($(DEB_BUILD_ARCH_CPU),i486)
+    DEB_BUILD_ARCH_OS := i386
+  else
+  ifeq ($(DEB_BUILD_ARCH_CPU),x86_64)
+    DEB_BUILD_ARCH_OS := amd64
+  endif
+  endif
+endif
+ifeq ($(DEB_BUILD_ARCH_OS),)
+  DEB_BUILD_ARCH_OS := $(subst -gnu,,$(DEB_BUILD_GNU_SYSTEM))
+  ifeq ($(DEB_BUILD_ARCH_OS),gnu)
+    DEB_BUILD_ARCH_OS := hurd
+  endif
+endif
+
+LEFT_PARENTHESIS:=(
+VERSION:=$(shell head -n1 debian/changelog | sed -e "s/^[0-9a-zA-Z.-]* $(LEFT_PARENTHESIS)//" -e "s/[^0-9a-zA-Z.:+~-].*//")
+
+SHELL=/bin/bash
+
+.PHONY: default
+default:
+	@echo "Specify a target:"; \
+	echo " build              compile the package"; \
+	echo " build-arch         compile the architecture-dependent package"; \
+	echo " build-indep        compile the architecture-independent package"; \
+	echo " binary             make all binary packages"; \
+	echo " binary-arch        make all architecture-dependent binary packages"; \
+	echo " binary-indep       make all architecture-independent binary packages"; \
+	echo " clean              clean up the source package"; \
+	echo; \
+	echo " clean-install-tree clean up only under debian/"; \
+	echo
+
+# Build the package and prepare the install tree
+
+.PHONY: build-only build
+build-only: debian/build-stamp
+build: build-only
+
+.PHONY: build-arch-only build-arch
+build-arch-only: debian/build-arch-stamp
+build-arch: build-arch-only
+
+.PHONY: build-indep-only build-indep
+build-indep-only: debian/build-indep-stamp
+build-indep: build-indep-only
+
+# Make sure these rules and the control file are up-to-date
+
+.PHONY: rules control templates
+rules: debian/rules
+debian/rules: $(shell which yada) debian/packages-tmp
+	yada rebuild rules
+
+control: debian/control
+debian/control: $(shell which yada) debian/packages-tmp
+	yada rebuild control
+
+templates: debian/templates debian/po/POTFILES.in
+debian/templates: $(shell which yada) debian/packages-tmp
+	yada rebuild templates
+debian/po/POTFILES.in: $(shell which yada) debian/packages-tmp
+	yada rebuild templates
+
+debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
+	@[ -f $(shell which yada) -a -f debian/rules ]
+	@umask 022 \
+	  && export pwd="$$(pwd)" \
+	  && export TMPROOT="$$(pwd)/debian/tmp" \
+	  && export SOURCE="fakechroot" \
+	  && export VERSION="$(VERSION)" \
+	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
+	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
+	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
+	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
+	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
+	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
+	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
+	echo -E 'CC=$${CC:-gcc}';\
+	echo -E 'CFLAGS=$${CFLAGS:--Wall -pedantic -g}';\
+	echo -E 'if [ "$${DEB_BUILD_OPTIONS#*noopt}" != "$$DEB_BUILD_OPTIONS" ]; then';\
+	echo -E '    CFLAGS="$$CFLAGS -O0"';\
+	echo -E 'else';\
+	echo -E '    CFLAGS="$$CFLAGS -O2 -fno-strict-aliasing"';\
+	echo -E 'fi';\
+	echo -E '';\
+	echo -E 'COMMON_CONFIG="\';\
+	echo -E '       --prefix=/usr \';\
+	echo -E '       --mandir=/usr/share/man \';\
+	echo -E '       --disable-static \';\
+	echo -E '       --with-libpath=/usr/lib/fakechroot:/usr/lib64/fakechroot:/usr/lib32/fakechroot"';\
+	echo -E '';\
+	echo -E 'if ! [ -f configure-stamp ]; then';\
+	echo -E '    mkdir -p build-tree-lib build-tree-fake build-tree-lib-biarch build-tree-fake-biarch';\
+	echo -E '    pushd build-tree-lib';\
+	echo -E '        CC="$$CC" CFLAGS="$$CFLAGS" \';\
+	echo -E '            ../configure \';\
+	echo -E '                --cache-file=../config.cache \';\
+	echo -E '                --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                --host=$$DEB_HOST_GNU_TYPE \';\
+	echo -E '                $$COMMON_CONFIG';\
+	echo -E '    popd';\
+	echo -E '    pushd build-tree-fake';\
+	echo -E '        CC="$$CC" CFLAGS="$$CFLAGS" \';\
+	echo -E '            ../fake/configure \';\
+	echo -E '                --cache-file=../config.cache \';\
+	echo -E '                --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                --host=$$DEB_HOST_GNU_TYPE \';\
+	echo -E '                $$COMMON_CONFIG';\
+	echo -E '    popd';\
+	echo -E '    case "$$DEB_HOST_ARCH" in';\
+	echo -E '        amd64)';\
+	echo -E '            pushd build-tree-lib-biarch';\
+	echo -E '                CC="gcc -m32" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=i386-linux \';\
+	echo -E '                        --libdir=/usr/lib32 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            pushd build-tree-fake-biarch';\
+	echo -E '                CC="gcc -m32" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../fake/configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=i386-linux \';\
+	echo -E '                        --libdir=/usr/lib32 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            ;;';\
+	echo -E '        i386)';\
+	echo -E '            pushd build-tree-lib-biarch';\
+	echo -E '                CC="gcc -m64" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=x86_64-linux \';\
+	echo -E '                        --libdir=/usr/lib64 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            pushd build-tree-fake-biarch';\
+	echo -E '                CC="gcc -m64" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../fake/configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=x86_64-linux \';\
+	echo -E '                        --libdir=/usr/lib64 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            ;;';\
+	echo -E '        ppc64)';\
+	echo -E '            pushd build-tree-lib-biarch';\
+	echo -E '                CC="gcc -m32" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=powerpc-linux \';\
+	echo -E '                        --libdir=/usr/lib32 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            pushd build-tree-fake-biarch';\
+	echo -E '                CC="gcc -m32" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../fake/configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=powerpc-linux \';\
+	echo -E '                        --libdir=/usr/lib32 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            ;;';\
+	echo -E '        s390)';\
+	echo -E '            pushd build-tree-lib-biarch';\
+	echo -E '                CC="gcc -m64" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=s390x-linux \';\
+	echo -E '                        --libdir=/usr/lib64 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            pushd build-tree-fake-biarch';\
+	echo -E '                CC="gcc -m64" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../fake/configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=s390x-linux \';\
+	echo -E '                        --libdir=/usr/lib64 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            ;;';\
+	echo -E '        sparc)';\
+	echo -E '            pushd build-tree-lib-biarch';\
+	echo -E '                CC="gcc -m64" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=sparc64-linux \';\
+	echo -E '                        --libdir=/usr/lib64 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            pushd build-tree-fake-biarch';\
+	echo -E '                CC="gcc -m64" CFLAGS="$$CFLAGS" \';\
+	echo -E '                    ../fake/configure \';\
+	echo -E '                        --cache-file=../config.biarch.cache \';\
+	echo -E '                        --build=$$DEB_BUILD_GNU_TYPE \';\
+	echo -E '                        --host=sparc64-linux \';\
+	echo -E '                        --libdir=/usr/lib64 \';\
+	echo -E '                        $$COMMON_CONFIG';\
+	echo -E '            popd';\
+	echo -E '            ;;';\
+	echo -E '    esac';\
+	echo -E '    sleep 1 && touch configure-stamp';\
+	echo -E 'fi';\
+	echo -E '';\
+	echo -E 'if ! [ build-stamp -nt configure-stamp ]; then';\
+	echo -E '    pushd build-tree-lib';\
+	echo -E '        make';\
+	echo -E '        make check';\
+	echo -E '    popd';\
+	echo -E '    pushd build-tree-fake';\
+	echo -E '        make';\
+	echo -E '    popd';\
+	echo -E '    case "$$DEB_HOST_ARCH" in';\
+	echo -E '        amd64|i386|ppc64|s390|sparc)';\
+	echo -E '            pushd build-tree-lib-biarch';\
+	echo -E '                make';\
+	echo -E '            popd';\
+	echo -E '            pushd build-tree-fake-biarch';\
+	echo -E '                make';\
+	echo -E '            popd';\
+	echo -E '            ;;';\
+	echo -E '    esac';\
+	echo -E '    touch build-stamp';\
+	echo -E 'fi') | /bin/bash
+	touch debian/build-stamp
+
+debian/build-arch-stamp:
+	@[ -f $(shell which yada) -a -f debian/rules ]
+	touch debian/build-arch-stamp
+
+debian/build-indep-stamp: debian/build-arch-stamp
+	@[ -f $(shell which yada) -a -f debian/rules ]
+	touch debian/build-indep-stamp
+
+.PHONY: install-tree
+install-tree: install-tree-any
+install-tree-any: \
+	debian/tmp-fakechroot/DEBIAN/control
+
+debian/tmp-fakechroot/DEBIAN/control: debian/build-stamp debian/control
+	rm -rf debian/tmp-fakechroot
+	umask 022 && install -d debian/tmp-fakechroot/DEBIAN
+	install -d debian/tmp-fakechroot/usr/share/doc/fakechroot
+	umask 022; yada generate copyright fakechroot \
+	  > debian/tmp-fakechroot/usr/share/doc/fakechroot/copyright
+	install -m 644 -p debian/changelog \
+	  debian/tmp-fakechroot/usr/share/doc/fakechroot/changelog.Debian
+	@umask 022 \
+	  && export pwd="$$(pwd)" \
+	  && export ROOT="$$(pwd)/debian/tmp-fakechroot" \
+	  && export TMPROOT="$$(pwd)/debian/tmp" \
+	  && export CONTROL="$$(pwd)/debian/tmp-fakechroot/DEBIAN" \
+	  && export PACKAGE="fakechroot" \
+	  && export SOURCE="fakechroot" \
+	  && export VERSION="$(VERSION)" \
+	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
+	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
+	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
+	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
+	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
+	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
+	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
+	echo -E 'for i in build-tree-*; do';\
+	echo -E '    pushd $$i';\
+	echo -E '        if [ -f Makefile ]; then';\
+	echo -E '            rm -rf tmp || true';\
+	echo -E '            make install DESTDIR=$$ROOT';\
+	echo -E '        fi';\
+	echo -E '    popd';\
+	echo -E 'done';\
+	echo -E 'find $$ROOT -name *.so -print0 | xargs -0r chmod -v -x';\
+	echo -E 'find $$ROOT -name *.la -print0 | xargs -0r rm -v -f';\
+	echo -E 'yada install -doc -subdir examples scripts/restoremode.sh scripts/savemode.sh scripts/ldd.fake') | /bin/bash
+	@umask 022 \
+	  && export pwd="$$(pwd)" \
+	  && export ROOT="$$(pwd)/debian/tmp-fakechroot" \
+	  && export TMPROOT="$$(pwd)/debian/tmp" \
+	  && export CONTROL="$$(pwd)/debian/tmp-fakechroot/DEBIAN" \
+	  && export PACKAGE="fakechroot" \
+	  && export SOURCE="fakechroot" \
+	  && export VERSION="$(VERSION)" && (\
+	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
+	echo -E 'yada perl';\
+	echo -E 'yada python';\
+	echo -E 'yada strip';\
+	echo -E 'yada shlibdeps') | /bin/sh
+	rm -f debian/shlibs.local || true
+	test -f debian/tmp-fakechroot/DEBIAN/shlibs && cat debian/tmp-fakechroot/DEBIAN/shlibs | while read lib ver pkg; do echo $$lib $$ver; done >> debian/shlibs.local || true
+	LD_LIBRARY_PATH="$$LD_LIBRARY_PATH:debian/tmp-fakechroot/lib:debian/tmp-fakechroot/usr/lib" dpkg-shlibdeps -pshlibs:fakechroot -dDepends debian/tmp-fakechroot/usr/lib/libfakechroot.so
+	yada compress fakechroot
+	yada generate maintscripts fakechroot
+	find debian/tmp-fakechroot -type f -print \
+	  | sed -n 's/^debian\/tmp-fakechroot\(\/etc\/.*\)$$/\1/p' \
+	  > debian/tmp-fakechroot/DEBIAN/conffiles
+	test -s debian/tmp-fakechroot/DEBIAN/conffiles || rm -f debian/tmp-fakechroot/DEBIAN/conffiles
+	yada rebuild control
+	yada generate substvars fakechroot
+	umask 022 && dpkg-gencontrol -isp -pfakechroot -Pdebian/tmp-fakechroot
+
+# Build package files
+
+.PHONY: binary binary-arch binary-indep
+binary: binary-arch binary-indep
+binary-arch: binary-arch-any
+
+.PHONY: binary-arch-any
+binary-arch-any: \
+	binary-package-fakechroot
+binary-indep:
+
+.PHONY: binary-package-fakechroot
+binary-package-fakechroot: check-root debian/tmp-fakechroot/DEBIAN/control
+	@[ -f $(shell which yada) -a -f debian/rules ]
+	chown -R 0.0 debian/tmp-fakechroot
+	chmod -R u=rwX,go=rX debian/tmp-fakechroot
+	@umask 022 \
+	  && export pwd="$$(pwd)" \
+	  && export ROOT="$$(pwd)/debian/tmp-fakechroot" \
+	  && export TMPROOT="$$(pwd)/debian/tmp" \
+	  && export CONTROL="$$(pwd)/debian/tmp-fakechroot/DEBIAN" \
+	  && export PACKAGE="fakechroot" \
+	  && export SOURCE="fakechroot" \
+	  && export VERSION="$(VERSION)" \
+	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
+	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
+	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
+	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
+	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
+	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
+	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
+	echo -E 'chmod -v u+s $$ROOT/usr/lib/*.so';\
+	echo -E '';\
+	echo -E 'case "$$DEB_HOST_ARCH" in';\
+	echo -E '    amd64)';\
+	echo -E '        chmod -v u+s $$ROOT/usr/lib32/*.so;;';\
+	echo -E '    ppc64)';\
+	echo -E '        chmod -v u+s $$ROOT/usr/lib32/*.so;;';\
+	echo -E '    i386|s390|sparc)';\
+	echo -E '        chmod -v u+s $$ROOT/usr/lib64/*.so;;';\
+	echo -E 'esac') | /bin/sh
+	@if [ -d debian/tmp-fakechroot/usr/doc/fakechroot ]; then \
+	  echo "*** Yada warning: /usr/doc/fakechroot should be /usr/share/doc/fakechroot";\
+	fi
+	dpkg-deb --build debian/tmp-fakechroot ..
+
+.PHONY: check-root
+check-root:
+	@[ `id -u` = 0 ] || (echo "You must be root to do this!"; false)
+
+debian/packages-tmp: debian/packages 
+	yada rebuild packages
+
+## Clean up afterwards
+
+.PHONY: clean clean-install-tree clean-build
+
+clean: clean-install-tree clean-build debian/control debian/rules
+	rm -f debian/packages-tmp debian/packages-tmp-new debian/packages-tmp-include
+
+clean-build:
+	@[ -f $(shell which yada) -a -f debian/rules ]
+	rm -f debian/build-stamp debian/build-arch-stamp debian/build-indep-stamp
+	@umask 022 \
+	  && export pwd="$$(pwd)" \
+	  && export TMPROOT="$$(pwd)/debian/tmp" \
+	  && export SOURCE="fakechroot" \
+	  && export VERSION="$(VERSION)" \
+	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
+	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
+	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
+	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
+	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
+	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
+	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
+	echo -E 'make distclean || make clean || true';\
+	echo -E 'rm -f config.*cache || true';\
+	echo -E 'rm -rf build-tree-* || true';\
+	echo -E 'rm -f *-stamp || true') | /bin/sh
+	yada unpatch
+	rm -rf debian/tmp
+
+clean-install-tree: debian/rules
+	@[ -f $(shell which yada) -a -f debian/rules ]
+	rm -f debian/install-tree-stamp
+	rm -rf debian/tmp-* debian/files* debian/substvars debian/shlibs.local debian/ucf
--- fakechroot-2.9.orig/debian/packages
+++ fakechroot-2.9/debian/packages
@@ -0,0 +1,263 @@
+# If the debian/rules or debian/control file is missing, rebuild the file:
+#
+#   $ yada rebuild control
+#   $ yada rebuild rules
+
+
+%define lsb_release_i %`lsb_release -s -i || echo Debian`
+%define distributor %{?lsb_release_i:%{lsb_release_i}}%{!?lsb_release_i:Debian}
+
+%define libfakechroot_version %`grep '^AC_INIT' configure.ac | sed 's/.*\[\([0-9][0-9.]*\)\].*/\1/'`
+
+%define biarch_amd64_libdir_Debian /usr/lib32
+%define biarch_amd64_libdir_Ubuntu /usr/lib32
+%define biarch_amd64_libdir %{biarch_amd64_libdir_%{distributor}}
+
+# distributor=%{distributor}
+# biarch_amd64_libdir_%{distributor}=%{biarch_amd64_libdir_%{distributor}}
+# biarch_amd64_libdir=%{biarch_amd64_libdir}
+
+Source: fakechroot
+Section: utils
+Priority: optional
+Maintainer: Piotr Roszatycki <dexter@debian.org>
+Standards-Version: 3.8.0
+%if %`dpkg --compare-versions %{YADA_VERSION} ge 0.54 && echo 1`
+Homepage: http://fakechroot.alioth.debian.org/
+Vcs-Browser: http://svn.debian.org/wsvn/fakechroot/trunk/
+Vcs-Svn: svn://svn.debian.org/fakechroot/trunk/
+%endif
+Upstream-Source: http://svn.debian.org/wsvn/fakechroot/tags/%{libfakechroot_version}-1/fakechroot_%{libfakechroot_version}.orig.tar.gz?op=file
+Description: gives a fake chroot environment
+Copyright: LGPL
+ libfakechroot -- fake chroot environment
+ Copyright (c) 2003-2008 Piotr Roszatycki <dexter@debian.org>, LGPL
+ Copyright (c) 2007      Mark Eichin <eichin@metacarta.com>, LGPL
+ .
+ klik2 support -- give direct access to a list of directories
+ Copyright (c) 2006-2007 Lionel Tricon <lionel.tricon@free.fr>, LGPL
+Build-Depends: lsb-release
+Build-Depends: libc6-dev-i386 [amd64]
+Build-Depends: libc6-dev-amd64 [i386]
+Build-Depends: libc6-dev-powerpc [ppc64]
+Build-Depends: libc6-dev-s390x [s390]
+Build-Depends: libc6-dev-sparc64 [sparc]
+Build-Depends: gcc-multilib [amd64 i386 powerpc s390 sparc]
+Build: bash
+ CC=${CC:-gcc}
+ CFLAGS=${CFLAGS:--Wall -pedantic -g}
+ if [ "${DEB_BUILD_OPTIONS#*noopt}" != "$DEB_BUILD_OPTIONS" ]; then
+     CFLAGS="$CFLAGS -O0"
+ else
+     CFLAGS="$CFLAGS -O2 -fno-strict-aliasing"
+ fi
+ .
+ COMMON_CONFIG="\
+        --prefix=/usr \
+        --mandir=/usr/share/man \
+        --disable-static \
+        --with-libpath=/usr/lib/fakechroot:/usr/lib64/fakechroot:/usr/lib32/fakechroot"
+ .
+ if ! [ -f configure-stamp ]; then
+     mkdir -p build-tree-lib build-tree-fake build-tree-lib-biarch build-tree-fake-biarch
+     pushd build-tree-lib
+         CC="$CC" CFLAGS="$CFLAGS" \
+             ../configure \
+                 --cache-file=../config.cache \
+                 --build=$DEB_BUILD_GNU_TYPE \
+                 --host=$DEB_HOST_GNU_TYPE \
+                 $COMMON_CONFIG
+     popd
+     pushd build-tree-fake
+         CC="$CC" CFLAGS="$CFLAGS" \
+             ../fake/configure \
+                 --cache-file=../config.cache \
+                 --build=$DEB_BUILD_GNU_TYPE \
+                 --host=$DEB_HOST_GNU_TYPE \
+                 $COMMON_CONFIG
+     popd
+     case "$DEB_HOST_ARCH" in
+         amd64)
+             pushd build-tree-lib-biarch
+                 CC="gcc -m32" CFLAGS="$CFLAGS" \
+                     ../configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=i386-linux \
+                         --libdir=%{biarch_amd64_libdir} \
+                         $COMMON_CONFIG
+             popd
+             pushd build-tree-fake-biarch
+                 CC="gcc -m32" CFLAGS="$CFLAGS" \
+                     ../fake/configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=i386-linux \
+                         --libdir=%{biarch_amd64_libdir} \
+                         $COMMON_CONFIG
+             popd
+             ;;
+         i386)
+             pushd build-tree-lib-biarch
+                 CC="gcc -m64" CFLAGS="$CFLAGS" \
+                     ../configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=x86_64-linux \
+                         --libdir=/usr/lib64 \
+                         $COMMON_CONFIG
+             popd
+             pushd build-tree-fake-biarch
+                 CC="gcc -m64" CFLAGS="$CFLAGS" \
+                     ../fake/configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=x86_64-linux \
+                         --libdir=/usr/lib64 \
+                         $COMMON_CONFIG
+             popd
+             ;;
+         ppc64)
+             pushd build-tree-lib-biarch
+                 CC="gcc -m32" CFLAGS="$CFLAGS" \
+                     ../configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=powerpc-linux \
+                         --libdir=/usr/lib32 \
+                         $COMMON_CONFIG
+             popd
+             pushd build-tree-fake-biarch
+                 CC="gcc -m32" CFLAGS="$CFLAGS" \
+                     ../fake/configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=powerpc-linux \
+                         --libdir=/usr/lib32 \
+                         $COMMON_CONFIG
+             popd
+             ;;
+         s390)
+             pushd build-tree-lib-biarch
+                 CC="gcc -m64" CFLAGS="$CFLAGS" \
+                     ../configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=s390x-linux \
+                         --libdir=/usr/lib64 \
+                         $COMMON_CONFIG
+             popd
+             pushd build-tree-fake-biarch
+                 CC="gcc -m64" CFLAGS="$CFLAGS" \
+                     ../fake/configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=s390x-linux \
+                         --libdir=/usr/lib64 \
+                         $COMMON_CONFIG
+             popd
+             ;;
+         sparc)
+             pushd build-tree-lib-biarch
+                 CC="gcc -m64" CFLAGS="$CFLAGS" \
+                     ../configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=sparc64-linux \
+                         --libdir=/usr/lib64 \
+                         $COMMON_CONFIG
+             popd
+             pushd build-tree-fake-biarch
+                 CC="gcc -m64" CFLAGS="$CFLAGS" \
+                     ../fake/configure \
+                         --cache-file=../config.biarch.cache \
+                         --build=$DEB_BUILD_GNU_TYPE \
+                         --host=sparc64-linux \
+                         --libdir=/usr/lib64 \
+                         $COMMON_CONFIG
+             popd
+             ;;
+     esac
+     sleep 1 && touch configure-stamp
+ fi
+ .
+ if ! [ build-stamp -nt configure-stamp ]; then
+     pushd build-tree-lib
+         make
+         make check
+     popd
+     pushd build-tree-fake
+         make
+     popd
+     case "$DEB_HOST_ARCH" in
+         amd64|i386|ppc64|s390|sparc)
+             pushd build-tree-lib-biarch
+                 make
+             popd
+             pushd build-tree-fake-biarch
+                 make
+             popd
+             ;;
+     esac
+     touch build-stamp
+ fi
+Clean: sh
+ make distclean || make clean || true
+ rm -f config.*cache || true
+ rm -rf build-tree-* || true
+ rm -f *-stamp || true
+
+Package: fakechroot
+Architecture: any
+Depends: [/usr/lib/libfakechroot.so]
+Conflicts: libc6-i386 (<= 2.9-18)
+Description: gives a fake chroot environment
+ This package provides a library which overrides libc functions, so
+ it is possible to use root-specific tools without root privileges.
+ .
+ In fake chroot you can install i.e. Debian bootstrap, create developer's
+ environment and build packages inside chroot'ed system using standard
+ non-root user account.
+Install: bash
+ for i in build-tree-*; do
+     pushd $i
+         if [ -f Makefile ]; then
+             rm -rf tmp || true
+             make install DESTDIR=$ROOT
+         fi
+     popd
+ done
+ find $ROOT -name *.so -print0 | xargs -0r chmod -v -x
+ find $ROOT -name *.la -print0 | xargs -0r rm -v -f
+ yada install -doc -subdir examples scripts/restoremode.sh scripts/savemode.sh scripts/ldd.fake
+Finalize: sh
+ chmod -v u+s $ROOT/usr/lib/*.so
+ .
+ case "$DEB_HOST_ARCH" in
+     amd64)
+         chmod -v u+s $ROOT%{biarch_amd64_libdir}/*.so;;
+     ppc64)
+         chmod -v u+s $ROOT/usr/lib32/*.so;;
+     i386|s390|sparc)
+         chmod -v u+s $ROOT/usr/lib64/*.so;;
+ esac
+Overrides:
+ debian-changelog-file-missing-or-wrong-name
+ file-in-unusual-dir usr/lib64/fakechroot/libfakechroot.so
+ file-in-unusual-dir usr/lib64/libfakechroot.so
+ file-in-unusual-dir usr/lib32/fakechroot/libfakechroot.so
+ file-in-unusual-dir usr/lib32/libfakechroot.so
+ non-standard-dir-in-usr usr/lib64/
+ non-standard-dir-in-usr usr/lib32/
+ non-standard-file-perm usr/lib64/libfakechroot.so 4644 != 0644
+ non-standard-file-perm usr/lib32/libfakechroot.so 4644 != 0644
+ non-standard-file-perm usr/lib/libfakechroot.so 4644 != 0644
+ no-shlibs-control-file usr/lib64/libfakechroot.so
+ no-shlibs-control-file usr/lib32/libfakechroot.so
+ no-shlibs-control-file usr/lib/libfakechroot.so
+ package-name-doesnt-match-sonames libfakechroot
+ package-name-doesnt-match-sonames libfakechroot.so
+ shlib-with-bad-permissions usr/lib64/libfakechroot.so 4644
+ shlib-with-bad-permissions usr/lib32/libfakechroot.so 4644
+ shlib-with-bad-permissions usr/lib/libfakechroot.so 4644
+Contains: libs
--- fakechroot-2.9.orig/debian/control
+++ fakechroot-2.9/debian/control
@@ -0,0 +1,21 @@
+Source: fakechroot
+Maintainer: Piotr Roszatycki <dexter@debian.org>
+Section: utils
+Priority: optional
+Standards-Version: 3.8.0
+Build-Depends: lsb-release, libc6-dev-i386 [amd64], libc6-dev-amd64 [i386], libc6-dev-powerpc [ppc64], libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], gcc-multilib [amd64 i386 powerpc s390 sparc], yada (>= 0.55)
+Homepage: http://fakechroot.alioth.debian.org/
+Vcs-Browser: http://svn.debian.org/wsvn/fakechroot/trunk/
+Vcs-Svn: svn://svn.debian.org/fakechroot/trunk/
+
+Package: fakechroot
+Architecture: any
+Depends: ${fakechroot:Depends}
+Conflicts: libc6-i386 (<= 2.9-18)
+Description: gives a fake chroot environment
+ This package provides a library which overrides libc functions, so
+ it is possible to use root-specific tools without root privileges.
+ .
+ In fake chroot you can install i.e. Debian bootstrap, create developer's
+ environment and build packages inside chroot'ed system using standard
+ non-root user account.
--- fakechroot-2.9.orig/debian/changelog
+++ fakechroot-2.9/debian/changelog
@@ -0,0 +1,340 @@
+fakechroot (2.9-1.1+squeeze1) stable; urgency=low
+
+  * Non-maintainer upload.
+  * get debootstrap --variant=fakechroot working in squeeze again
+   - fix length returned by readlink()  (Closes: #561991)
+   - add new utimensat to handle cp -dp (Closes: #588508)
+
+ -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 29 Mar 2011 01:07:44 -0400
+
+fakechroot (2.9-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Put files in lib32 directories directly (Closes: #533002).
+  * Fix conflicting types for 'scandir' (Closes: #552891).
+
+ -- Luk Claes <luk@debian.org>  Sun, 24 Jan 2010 10:08:13 +0000
+
+fakechroot (2.9-1) unstable; urgency=medium
+
+  * src/libfakechroot.c:
+    - Fixed getpeername(2) and getsockname(2).  Thanks to Axel Thimm and
+      Fedora people.
+    - Fixed were made for execve(2):
+      . Always copy necessary variables to new environment.
+      . Do not make duplicates of environment variables.  Thanks to Richard
+        W.M. Jones.
+    - Fixed were made for chroot(2).  It is possible to escape chroot.
+      Thanks to Richard W.M. Jones.
+    - Fixed were made for mktemp(2).  There was a buffer overflow.  Thanks to
+      Mikhail Gusarov.
+    - New function: futimesat(2).  Fixes "touch -m" command.
+    - New functions: bindtextdomain(3), notify_add_watch(2).
+  * test/*:
+    - More test units was added, "make check" works as expected.
+  * debian/packages:
+    - Autodetected biarch libdir for amd64 architecture on Debian and Ubuntu.
+    - Build-Depends: lsb-release
+
+ -- Piotr Roszatycki <dexter@debian.org>  Mon, 30 Mar 2009 14:55:26 +0200
+
+fakechroot (2.8-1) unstable; urgency=medium
+
+  * src/libfakechroot.c:
+    - Fixed __fxstatat64(3) function which broke chown(1) command on i386
+      architecture.  Closes: #473682.
+    - Fixed FreeBSD port.  All *64(2) functions are optional.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Fri, 25 Jul 2008 15:01:40 +0200
+
+fakechroot (2.7.1-1) unstable; urgency=low
+
+  * src/libfakechroot.c:
+    - Supports uclibc which doesn't provide getwd(2) function.
+  * m4/readlink_argtypes.m4, src/libfakechroot.c:
+    - Compiles with older libc: configure script detects readlink type of
+      return value.
+  * debian/packages:
+    - Supports cross compiling.
+  * test/fakechroot.sh:
+    - Can be called with $PREFIX environment variable.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Thu, 17 Jul 2008 13:50:10 +0200
+
+fakechroot (2.7-1) unstable; urgency=medium
+
+  * Apply all NMU patches.  Thank you, people!
+  * Improved stability and support for the latest libc.  Closes: #420870.
+  * src/libfakechroot.c:
+    - Fixed readlink(2) function to be ssize_t as it is in newer libc.
+      Thanks Sune Vuorela.
+    - New functions: __fxstatat(2), __fxstatat64(2), fchmodat(2), fchownat(2),
+      __openat(2), __openat64(2), unlinkat(2).  It fixes last coreutils.
+      Thanks Martin Pitt and Daniel Kahn Gillmor.  Closes: #473682.
+    - New functions: mkdirat(2), renameat(2).
+    - Fixed chroot(2) function to not change current working directory.
+      Closes: #477447.
+    - Fixed chroot(2) function to handle relative path.
+    - Fixed execve(2) function to not expand argv0 and handle "#!" correctly.
+      Thanks Mark Eichin.  Closes: #412774.
+    - New eaccess(3) function backported from Klik.
+    - New functions: bind(2), connect(2), getpeername(2), getsockname(2).
+      They support PF_UNIX sockets.  Closes: #413918.
+    - More memory allocation for fakechroot_init.
+  * test/fakechroot.sh:
+    - Add cp, mkdir, chmod, rm and libraries.
+    - Call bash instead of sh.
+    - Use /usr/lib/fakechroot library path if own version is not compiled.
+  * debian/packages:
+    - Standards-Version: 3.8.0
+    - Depends on main libc package.  Non-default multilib architecture is
+      excluded from dependencies list.
+    - Multilib architecture is supported on i386.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue, 15 Jul 2008 13:31:00 +0200
+
+fakechroot (2.6-1.3ubuntu3) intrepid; urgency=low
+
+  * src/libfakechroot.c: Define openat64(), to unbreak rm -r on i386, too.
+    (LP: #228534)
+
+ -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 May 2008 07:53:31 +0200
+
+fakechroot (2.6-1.3ubuntu2) intrepid; urgency=low
+
+  * src/libfakechroot.c:
+    - Define openat(), to unbreak rm -r.
+    - Define fchmodat(), to unbreak chmod.
+    - Define fchownat(), to unbreak chown.
+    This fixes everything which broke debootstrapping Hardy.
+  * test/fakechroot.sh: Add cp, mkdir, chmod.
+
+ -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 May 2008 22:13:43 +0200
+
+fakechroot (2.6-1.3ubuntu1) intrepid; urgency=low
+
+  * src/libfakechroot.c: Provide wrapping of unlinkat(), __fxstatat(), and
+    __fxstatat64() to unbreak rm'ing absolute directories. This extends the
+    original patch from Daniel Kahn Gillmor in Debian #473682. Still
+    incomplete, since other *at() functions are still missing, but those are
+    the most pressing which cause the Apport retracers to fail so badly.
+  * test/fakechroot.sh: Add /bin/rm, and call bash instead of sh.
+
+ -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 May 2008 20:45:48 +0200
+
+fakechroot (2.6-1.3) unstable; urgency=low
+
+  * Non-maintainer upload to fix the fix for the fix for #422586
+  * Only use gcc-multilib on some archs.
+  * Fix the readlink function to be ssize_t as it is in newer libc
+
+ -- Sune Vuorela <debian@pusling.com>  Sat, 19 May 2007 17:19:53 +0200
+
+fakechroot (2.6-1.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add build-dependency on gcc-multilib the yada way to avoid FTBFS. 
+    (Closes: #422586)
+
+ -- Sune Vuorela <debian@pusling.com>  Sat, 19 May 2007 15:13:28 +0200
+
+fakechroot (2.6-1.1) unstable; urgency=low
+
+  * Non-maintainer upload during BSP.
+  * Added build-dependency on gcc-multilib to avoid FTBFS (Closes: #422586).
+
+ -- Mario Iseli <admin@marioiseli.com>  Fri, 18 May 2007 18:17:26 +0200
+
+fakechroot (2.6-1) unstable; urgency=low
+
+  * New environment variable FAKECHROOT_EXCLUDE_PATH.
+  * Fixed getcwd(3) function. Closes: #410145, #410739.
+  * Fixed readlink(2) function. Closes: #412141.
+  * Fixed mktemp(3) function. Closes: #412918.
+  * The chroot(2) function is now recursive and allows nested chroots.
+    Closes: #412603.
+  * Updated manpage.
+  * Supported 32-bit biarch on ppc64 architecture. Closes: #361202.
+  * Fixed typo in package's description. Closes: #363403.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Sat,  5 May 2007 17:20:28 +0200
+
+fakechroot (2.5-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Apply patch from Andreas Jochens <aj@andaco.de> to build-dep on 
+    libc6-dev-i386 instead of the obsolete ia32-libs-dev on amd64. (Closes:
+    #360434)
+
+ -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 16 Sep 2006 12:08:27 +0200
+
+fakechroot (2.5-1) unstable; urgency=low
+
+  * Relicensed to LGPL
+  * configure script regenerated with libtool 2.1a (2005-10-24).
+
+ -- Piotr Roszatycki <dexter@debian.org>  Mon, 24 Oct 2005 09:13:55 +0200
+
+fakechroot (2.4-1) unstable; urgency=low
+
+  * Convert to non native Debian package.
+  * New option --use-system-libs as a workaround if the system dynamic
+    linker can't load the libc.so from fake chroot.
+  * Fix revoke(2) function.
+  * Load symbols on demand, so fakechroot is compatible with libselinux.
+  * Support RedHat EL 4 (and CentOS, and Whitebox, etc.)
+  * Updated manual page.
+  * Configure script regenerated with libtool 2.1a. The source should be
+    more portable and does not require C++ compiler installed.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Thu,  8 Sep 2005 17:54:15 +0200
+
+fakechroot (2.3) unstable; urgency=low
+
+  * Initial port to FreeBSD 5.x.
+  * Implement <fts.h> and <ftw.h> functions.
+  * New configure option --with-libpath.
+  * Link with -avoid-version option.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue,  6 Sep 2005 16:54:35 +0200
+
+fakechroot (2.2) unstable; urgency=low
+
+  * Included config.h, so GLIBC 2.3 functions works now.
+  * Initial port to Solaris 8.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Fri,  2 Sep 2005 16:55:29 +0200
+
+fakechroot (2.1) unstable; urgency=low
+
+  * Add missing lremovexattr(2) function.
+  * Support also older GLIBC (Debian woody, Ubuntu hoary).
+
+ -- Piotr Roszatycki <dexter@debian.org>  Thu, 25 Aug 2005 12:51:29 +0200
+
+fakechroot (2.0) unstable; urgency=low
+
+  * The code was rewritten from scratch. The fakeroot functionality
+    was dropped, so the fakechroot can extend the fakeroot functionality
+    or can be used without it.
+  * The FAKECHROOT_VERSION environment variable contains the current
+    package number.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Wed, 24 Aug 2005 14:32:26 +0200
+
+fakechroot (0.9+1.3) unstable; urgency=medium
+
+  * Clean up the code - no static variables.
+  * narrow_chroot_path(path) macro returns original path if it is outside
+    chroot so getcwd(2) works for /dev and /proc.
+  * Implement lutimes(2) function.
+  * Fixed path for biarch libraries on sparc and amd64.
+  * Updated ldd.fake script. Now works on biarch systems.
+  * Biarch support for s390.
+  * Updated documentation.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Mon, 20 Jun 2005 10:04:24 +0200
+
+fakechroot (0.8+1.3) unstable; urgency=medium
+
+  * Merged with fakeroot 1.3.
+  * chroot(2) function includes default path to LD_LIBRARY_PATH.
+  * Fixed scandir64(3) function.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue, 14 Jun 2005 16:20:12 +0200
+
+fakechroot (0.7+1.2.4) unstable; urgency=low
+
+  * Implement wrapper for scandir(3) function. Now, the run-parts(8) works
+    correctly. Closes: #312409.
+  * Implement wrapper for glob(3) functions. Thanks to ALT Linux guys.
+  * Implement wrapper for glob_pattern_p(3) functions.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue, 14 Jun 2005 11:56:47 +0200
+
+fakechroot (0.6+1.2.4) unstable; urgency=low
+
+  * Implement wrappers for mkstemp64 and mkdtemp functions.
+  * Clean up the code.
+  * Fix ldd.fake script.
+  * Modified path for debootstrap.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Sat,  5 Feb 2005 20:36:56 +0100
+
+fakechroot (0.5+1.2.4) unstable; urgency=low
+
+  * Fix mkstemp(2) function. Some other cleanups to the code.
+  * Relative paths to the fakechroot script.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Fri,  4 Feb 2005 17:20:26 +0100
+
+fakechroot (0.4+1.2.4) unstable; urgency=low
+
+  * Implement wrappers for <sys/xattr.h>.
+  * Build with faked named as fakechrootd.
+  * fakeroot package is not necessary to run fakechroot.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Fri,  4 Feb 2005 15:35:17 +0100
+
+fakechroot (0.3+1.2.4) unstable; urgency=low
+
+  * Merged with fakeroot 1.2.4 and fakechroot 0.2.6.1 (downloaded from
+    http://www.altlinux.org/). Thanks to ALT Linux guys for maintaining
+    the code.
+  * Patch updated to the latest debootstrap. Closes: #247199.
+  * Fixed typo in package description. Closes: #252503.
+  * The new version builds with gcc-3.4. Closes: #258855.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Thu,  3 Feb 2005 12:38:54 +0100
+
+fakechroot (0.2.6+0.7.8) unstable; urgency=low
+
+  * Merged with fakeroot 0.7.8.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue, 30 Sep 2003 17:53:35 +0200
+
+fakechroot (0.2.5+0.7.5) unstable; urgency=low
+
+  * Updated man page.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue, 19 Aug 2003 09:52:49 +0200
+
+fakechroot (0.2.4+0.7.5) unstable; urgency=low
+
+  * Add man page, closes: #205615.
+  * Add example scripts and patch for debootstrap.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Mon, 18 Aug 2003 17:01:05 +0200
+
+fakechroot (0.2.3+0.7.5) unstable; urgency=low
+
+  * Add documentation in /usr/share/doc/fakechroot.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Sat,  9 Aug 2003 01:43:31 +0200
+
+fakechroot (0.2.2+0.7.5) unstable; urgency=low
+
+  * The schema of version package is "fakechroot_ver+fakeroot_ver". Fix that.
+  * "make check" is optional.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue, 29 Jul 2003 10:39:28 +0200
+
+fakechroot (0.2.1+0.7.6) unstable; urgency=low
+
+  * Compile without check target.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue, 29 Jul 2003 10:19:35 +0200
+
+fakechroot (0.2+0.7.5) unstable; urgency=low
+
+  * Merge with fakeroot-0.7.5.
+  * Support for lib64.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Fri, 25 Jul 2003 13:04:32 +0200
+
+fakechroot (0.1+0.6.9) unstable; urgency=low
+
+  * Initial release.
+
+ -- Piotr Roszatycki <dexter@debian.org>  Tue, 15 Apr 2003 17:13:31 +0200
+